package com.agenda.model;
// Generated 12-12-2019 01:41:24 PM by Hibernate Tools 5.2.12.Final

import java.util.ArrayList;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Fases generated by hbm2java
 */
@Entity
@Table(name = "fases", catalog = "agenda")
@SuppressWarnings("serial")
public class Fases implements java.io.Serializable {

	private int id;
	private String fase;
	private int estado;
	private List<FasesDetalle> fasesDetalles = new ArrayList<FasesDetalle>();

	public Fases() {
	}

	public Fases(int id, String fase, int estado) {
		this.id = id;
		this.fase = fase;
		this.estado = estado;
	}

	public Fases(int id, String fase, int estado, List<FasesDetalle> fasesDetalles) {
		this.id = id;
		this.fase = fase;
		this.estado = estado;
		this.fasesDetalles = fasesDetalles;
	}

	@Id

	@Column(name = "id", unique = true, nullable = false)
	public int getId() {
		return this.id;
	}

	public void setId(int id) {
		this.id = id;
	}

	@Column(name = "fase", nullable = false, length = 20)
	public String getFase() {
		return this.fase;
	}

	public void setFase(String fase) {
		this.fase = fase;
	}

	@Column(name = "estado", nullable = false)
	public int getEstado() {
		return this.estado;
	}

	public void setEstado(int estado) {
		this.estado = estado;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "fases")
	public List<FasesDetalle> getFasesDetalles() {
		return this.fasesDetalles;
	}

	public void setFasesDetalles(List<FasesDetalle> fasesDetalles) {
		this.fasesDetalles = fasesDetalles;
	}

}
